#!/bin/sh

SOURCE_DIR=$(realpath $(dirname "${0}"))/ckan-datapusher

# Build Docker container
docker build -t ckan-datapusher ${SOURCE_DIR}

# Configure CKAN DataPusher
mkdir -p /srv/ckan-datapusher/conf /srv/ckan-datapusher/data
cp ${SOURCE_DIR}/srv/ckan-datapusher/conf/datapusher.wsgi /srv/ckan-datapusher/conf/datapusher.wsgi
cp ${SOURCE_DIR}/srv/ckan-datapusher/conf/datapusher_settings.py /srv/ckan-datapusher/conf/datapusher_settings.py
chown -R 8004:8004 /srv/ckan-datapusher/data

# Configure CKAN DataPusher service
cp ${SOURCE_DIR}/etc/init.d/ckan-datapusher /etc/init.d/ckan-datapusher
rc-update add ckan-datapusher
service ckan-datapusher start
